package ru.dbotthepony.mc.otm.container

import net.minecraft.world.item.ItemStack
import net.minecraft.world.item.Items

interface IFilteredAutomatedContainerSlot : IFilteredContainerSlot, IAutomatedContainerSlot {
	override fun canAutomationPlaceItem(itemStack: ItemStack): Boolean {
		return super.canAutomationPlaceItem(itemStack) && filter.test(itemStack)
	}

	override fun canAutomationTakeItem(desired: Int): Boolean {
		return super.canAutomationTakeItem(desired) && !filter.denyAll
	}
}
